Subject: bug#56432: run-dig vs dig -- do we need both?

From: Stefan Kangas <[email-masked]>
Date: Thu, 7 Jul 2022 15:41:24 +0200

Eli Zaretskii <[email-masked]> writes:

> > net-utils-machine-at-point does not seem very useful to me (it seems
> > to pick up any word whether or not it looks like a domain name?)
>
> Is it really any worse than not showing any possibly useful default at
> all?

I found it much worse, but this was mostly due to using the obsolete
INITIAL-CONTENTS argument (which meant you had to delete that less
than useful input to type something useful).  So I've now changed
`dig' to use a standard default instead (commit 7b84f9a5d8).

> > but perhaps we could use thing-at-point instead?
>
> If thing-at-point can guess machines better, sure, why not?  But if it
> isn't better, why not use net-utils-machine-at-point?

It seems like the ffap versions are strictly better, so I've replaced
the net-utils-* versions with ffap-* (commit a651c309fd).